{% extends 'base.html.twig' %}

{% block title %}{{ 'app.beers.title'|trans }}{% endblock %}

{% block body %}
    {% set brewery = (randomBeer.breweries|first) %}
<div class="container">
    <div class="random-beer-section">
        <div class="left-side">
            <div class="random-beer-name">{{ randomBeer.name }}</div>
            <div class="random-image">
                <div>
                    <img src="{{ randomBeer.labels.large }}">
                </div>
            </div>
        </div>
        <div class="random-desc" data-default="{{ 'app.beers.default.description'|trans }}">
            {% if randomBeer.description is defined %}
                {{ randomBeer.description }}
            {% else %}
                {{ 'app.beers.default.description'|trans|format(brewery.name) }}
            {% endif %}
        </div>
        <div class="random-buttons">
            <span id="next-beer" data-url="{{ path('beer_random') }}">{{ 'app.beers.next_beer'|trans }}</span>
            <span id="more-beers" data-url="{{ path('beers_from_brewery', {'breweryId': brewery.id}) }}">{{ 'app.beers.more'|trans }}</span>
        </div>
    </div>
    <div class="search-section">
        <span class="title">{{ 'search.section.title'|trans }}</span>
        <form id="search-form" data-url="{{ path('beers_search') }}">
            <input type="text" name="search" pattern="^[\w\d -]+$"
                   oninvalid="setCustomValidity('Use only letters, numbers, hyphens and spaces')"
                   onchange="try{setCustomValidity('')}catch(e){}" required>
            <input id="radio-beer-input" type="radio" name="type" value="beer" checked>
            <label for="radio-beer-input">{{ 'app.beers.beer_label'|trans }}</label>
            <input id="radio-brewery-input" type="radio" name="type" value="Brewery">
            <label for="radio-brewery-input">{{ 'app.beers.brewery_label'|trans }}</label>
            <input type="submit" value="{{ 'app.beers.search_button'|trans }}">
        </form>
        <div id="search-output"></div>
        <div id="search-no-entries">
            <span>{{ 'app.beers.no_entries' }}</span>
        </div>
    </div>
</div>
{% endblock %}

{% block stylesheets %}
<style>
    .container{
        width: 970px;
        margin: auto;
    }
    .random-image img{
        max-width: 200px;
    }

    .random-beer-section{
        display: flex;
        justify-content: space-between;
        padding: 20px;
        border: 1px solid;
    }
    .random-beer-name{
        font-size: 18px;
        display: block;
        padding-bottom: 10px;
        font-weight: bold;
    }
    .left-side{
        align-items: center;
        display: flex;
        flex-flow: column;
        margin-right: 20px;
    }

    .random-desc{
        flex-grow: 2;
    }
    .random-buttons{
        margin-left: 20px;
    }
    .random-buttons span{
        margin-top: 20px;
        color: white;
        text-align: center;
        padding: 10px;
        display: block;
        max-height: 50px;
        max-width: 200px;
        background-color: blue;
        border-radius: 5px;
        cursor: pointer;
    }
    .search-section .title{
        margin-top: 50px;
        display: block;
        margin-bottom: 20px;
        font-size: 20px;
        font-weight: bold;
    }

    .beer-container{
        display: flex;
        padding: 30px 0;
        margin: 5px 0;
    }
    .beer-small-image-container img{
        max-width: 100px;
    }
    .beer-about{
        margin-left: 20px;
    }
    .beer-about .beer-name{
        display: block;
        font-size: 18px;
        font-weight: bold;
    }
    .beer-about .beer-desc{
        display: block;
        margin-top: 10px;
    }
    #search-no-entries{
        margin-top: 10px;
        display: none;
        color: red;
    }

</style>
{% endblock %}
{% block javascripts %}
    <script>
        $( document ).ready(function() {
            $('#next-beer').on('click', function () {
                var url = $(this).data('url');
                $.ajax({
                    url: url,
                    success: function(data){
                        $('.random-image img').attr('src', data.labels.large);
                        $('.random-beer-name').text(data.name);
                        $('.random-desc').text(data.description);
                    },
                    error: function(data){
                        alert(data.error.msg);
                    }
                });
            });
            $('#more-beers').on('click', function () {
                var url = $(this).data('url');
                $.ajax({
                    url: url,
                    success: function(data){
                        if (data.length == 0) {
                            $('#search-no-entries').show();
                            setTimeout(function () {
                                $('#search-no-entries').hide();
                            }, 2000)
                        } else {
                            $('#search-output').html(data);
                        }
                    },
                    error: function(data){
                        $('#search-no-entries').show();
                        setTimeout(function () {
                            $('#search-no-entries').hide();
                        }, 2000)
                    }
                });
            });
            $('#search-form').on('submit', function (e) {
                e.preventDefault();
                var url = $(this).data('url');
                var search = $(this).find('input[name="search"]').val();
                var type = $(this).find('input[name="type"]').val();
                $.ajax({
                    url: url,
                    type: "POST",
                    data: {
                        search : search,
                        type : type
                    },
                    success: function(data){
                        if (data.length == 0) {
                            $('#search-no-entries').show();
                            setTimeout(function () {
                                $('#search-no-entries').hide();
                            }, 2000)
                        } else {
                            $('#search-output').html(data);
                        }
                    },
                    error: function(data){
                        $('#search-no-entries').show();
                        setTimeout(function () {
                            $('#search-no-entries').hide();
                        }, 2000)
                    }
                });
            });
        });
    </script>
{% endblock %}
